<?php
/*
* 求人情報プラグイン
* カテゴリモデル
*
* PHP 5.4.x
*
* @copyright    Copyright (c) hiniarata co.ltd
* @link         https://hiniarata.jp
* @package      Recruit Plugin Project
* @since        ver.0.9.0
*/

/**
* Include files
*/
App::uses('RecruitApp', 'Recruit.Model');

/**
* 登録情報モデル
*
* @package baser.plugins.recruit
*/
class RecruitCategory extends RecruitApp {
  /**
  * クラス名
  *
  * @var string
  * @access public
  */
  public $name = 'RecruitCategory';

  /**
  * プラグイン名
  *
  * @var string
  * @access public
  */
  public $plugin = 'Recruit';

  /**
  * DB接続時の設定
  *
  * @var string
  * @access public
  */
  public $useDbConfig = 'plugin';

  /**
  * HasOne
  *
  * @var array
  * @access public
  */
  public $hasOne = array(
        'Recruit' => array(
            'className'    => 'Recruit.Recruit'
        )
    );

  /**
  * validate
  *
  * @var array
  */
  public $validate = array(
    'name' => array(
      'notEmpty' => array(
        'rule' => array('notEmpty'),
        'message' => 'カテゴリ名を入力してください。'
    ))
  );
}
