<?php
/*
* 求人情報プラグイン
* 管理設定モデル
*
* PHP 5.4.x
*
* @copyright    Copyright (c) hiniarata co.ltd
* @link         https://hiniarata.jp
* @package      Recruit Plugin Project
* @since        ver.0.9.0
*/

/**
* Include files
*/
App::uses('RecruitApp', 'Recruit.Model');

/**
* 管理設定モデル
*
* @package baser.plugins.recruit
*/
class RecruitSetting extends RecruitApp {
  /**
  * クラス名
  *
  * @var string
  * @access public
  */
  public $name = 'RecruitSetting';

  /**
  * プラグイン名
  *
  * @var string
  * @access public
  */
  public $plugin = 'Recruit';

  /**
  * DB接続時の設定
  *
  * @var string
  * @access public
  */
  public $useDbConfig = 'plugin';

  /**
  * validate
  *
  * @var array
  */
  public $validate = array(
    'editor_type' => array(
      'notEmpty' => array(
        'rule' => array('notEmpty'),
        'message' => 'エディタの種類を選択してください。'
    )),
    'image01' => array(
      'notEmpty' => array(
        'rule' => array('notEmpty'),
        'message' => '画像１を使用するか選択してください。'
    )),
    'image02' => array(
      'notEmpty' => array(
        'rule' => array('notEmpty'),
        'message' => '画像２を使用するか選択してください。'
    )),
    'image03' => array(
      'notEmpty' => array(
        'rule' => array('notEmpty'),
        'message' => '画像３を使用するか選択してください。'
    )),
    'image04' => array(
      'notEmpty' => array(
        'rule' => array('notEmpty'),
        'message' => '画像４を使用するか選択してください。'
    )),
    'max_width' => array(
      'notEmpty' => array(
        'rule' => array('notEmpty'),
        'message' => '画像の横幅（最大値）を入力してください。'
      ),
      'range' => array(
        'rule'=> array('range', 1, 9999),
        'message' => '画像の横幅は1px〜9999px以内で設定してください。',
    )),
    'max_height' => array(
      'notEmpty' => array(
        'rule' => array('notEmpty'),
        'message' => '画像の高さ（最大値）を入力してください。'
      ),
      'range' => array(
        'rule'=> array('range', 1, 9999),
        'message' => '画像の高さは1px〜9999px以内で設定してください。',
    ))
  );
}
