<?php
/*
* スタッフ紹介プラグイン
* ヘルパー
*
* PHP 5.4.x
*
* @copyright    Copyright (c) hiniarata co.ltd
* @link         https://hiniarata.jp
* @package      Recruit Plugin Project
* @since        ver.0.9.0
*/
/* Model */
App::import('Model', 'Recruit.Recruit');
App::import('Model', 'Recruit.RecruitCategory');
App::uses('AppHelper', 'View/Helper');

class RecruitBaserHelper extends AppHelper {

  /**
  * ヘルパー
  *
  * @var array
  */
  public $helpers = array('BcBaser');


/**
 * コンテンツテンプレートを取得（フォルダ単位）
 *
 * @return array()
 */
  public function getRecruitTemplates() {
    $templatesPathes = array_merge(App::path('View', 'Recruit'), App::path('View'));
    if ($this->BcBaser->siteConfig['theme']) {
      array_unshift($templatesPathes, WWW_ROOT . 'theme' . DS . $this->BcBaser->siteConfig['theme'] . DS);
    }

    $_templates = array();
    foreach ($templatesPathes as $templatePath) {
      $templatePath .= 'Recruits' . DS;
      $folder = new Folder($templatePath);
      $files = $folder->read(true, true);
      $foler = null;
      if ($files[0]) {
        if ($_templates) {
          $_templates = am($_templates, $files[0]);
        } else {
          $_templates = $files[0];
        }
      }
    }

    $excludes = Configure::read('BcAgent');
    $excludes = Hash::extract($excludes, '{s}.prefix');
    $templates = array();
    foreach ($_templates as $template) {
      if (!in_array($template, $excludes)) {
        $templates[$template] = $template;
      }
    }
    return $templates;
  }


}
